import { PrivacyDataTags, EventTags, LoggingLevel } from "./TraceLogging";
export default class Telemetry {
    static logEvent(provider: string, eventName: string, privacyTag: PrivacyDataTags, partC?: any): Promise<void>;
    static logEventWithTag(provider: string, eventName: string, privacyTag: PrivacyDataTags, eventTag: EventTags, partC?: any): Promise<void>;
    static logEventWithLevel(provider: string, eventName: string, privacyTag: PrivacyDataTags, loggingLevel: LoggingLevel, partC?: any): Promise<void>;
    static logEventWithLevelAndTag(provider: string, eventName: string, privacyTag: PrivacyDataTags, loggingLevel: LoggingLevel, eventTag: EventTags, partC?: any): Promise<void>;
}
